FITS2BITMAP(1)

NAME
fits2bitmap - Create a bitmap file from a FITS image.

DESCRIPTION
usage: fits2bitmap [-h] [-e hdu] [-o filename] [--scale SCALE] [--power POWER]

    [--asinh_a ASINH_A] [--min_cut MIN_CUT] [--max_cut MAX_CUT] [--min_percent MIN_PERCENT] [--max_percent MAX_PERCENT] [--percent PERCENT] [--cmap colormap_name] filename [filename ...]

  positional arguments:

filename
    Path to one or more FITS files to convert

  optional arguments:

-h, --help
    show this help message and exit

-e hdu, --ext hdu
    specify the HDU extension number or name

-o filename
    Filename for the output image (Default is a PNG file with the same name as the FITS file)

--scale SCALE
    Type of image scaling ("linear", "sqrt", "power", "log", or "asinh")

--power POWER
    Power index for "power" scaling

--asinh_a ASINH_A
    The value in normalized image where the asinh curve transitions from linear to logarithmic behavior (used only for "asinh" scaling)

--min_cut MIN_CUT
    The pixel value of the minimum cut level

--max_cut MAX_CUT
    The pixel value of the maximum cut level

--min_percent MIN_PERCENT
    The percentile value used to determine the minimum cut level

--max_percent MAX_PERCENT
    The percentile value used to determine the maximum cut level

--percent PERCENT
    The percentage of the image values used to determine the pixel values of the minimum and maximum cut levels

--cmap colormap_name
    matplotlib color map name